Package docking.widgets.filechooser

# Class GhidraFile

java.lang.Object
java.io.File
docking.widgets.filechooser.GhidraFile

All Implemented Interfaces:
  `Serializable`, `Comparable<File>`

public class GhidraFile extends File
An extension of File that does not translate to the native operating system's file separator. For example, on Windows:
`File f = new File("c:/temp/foo.txt");`
`String path = f.getAbsolutePath();`
In this case, path equals "c:\temp\foo.txt". However using GhidraFile, path would still equal "c:/temp/foo.txt"

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.io.File

  `pathSeparator, pathSeparatorChar, separator, separatorChar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GhidraFile(File parent, String name, char separator)`
  Construct a new GhidraFile.
  `GhidraFile(String path, char separator)`
  Construct a new GhidraFile.
  `GhidraFile(String parent, String child, char separator)`
  Construct a new GhidraFile.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getAbsoluteFile()`
  `String`
  `getAbsolutePath()`
  `File`
  `getCanonicalFile()`
  `String`
  `getCanonicalPath()`
  `String`
  `getParent()`
  `File`
  `getParentFile()`
  `String`
  `getPath()`

  ### Methods inherited from class java.io.File

  `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getFreeSpace, getName, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GhidraFile

    public GhidraFile(String parent, String child, char separator)
    Construct a new GhidraFile.
    Parameters:
      `parent` - the parent directory; eg, "c:\temp"
      `child` - the child file name; eg, "foo.txt"
      `separator` - the separator character; eg, '/' or '\'

  - ### GhidraFile

    public GhidraFile(String path, char separator)
    Construct a new GhidraFile.
    Parameters:
      `path` - the path to the file; eg, "c:\temp\foo.txt" or "temp\foo.txt"
      `separator` - the separator character; eg, '/' or '\'

  - ### GhidraFile

    public GhidraFile(File parent, String name, char separator)
    Construct a new GhidraFile.
    Parameters:
      `parent` - the parent file path
      `name` - the name of the file
      `separator` - the separator character; eg, '/' or '\'

- ## Method Details

  - ### getAbsoluteFile

    public File getAbsoluteFile()
    Overrides:
      `getAbsoluteFile` in class `File`
    See Also:
      - `File.getAbsoluteFile()`

  - ### getCanonicalFile

    public File getCanonicalFile() throws IOException
    Overrides:
      `getCanonicalFile` in class `File`
    Throws:
      `IOException`
    See Also:
      - `File.getCanonicalFile()`

  - ### getAbsolutePath

    public String getAbsolutePath()
    Overrides:
      `getAbsolutePath` in class `File`
    See Also:
      - `File.getAbsolutePath()`

  - ### getCanonicalPath

    public String getCanonicalPath() throws IOException
    Overrides:
      `getCanonicalPath` in class `File`
    Throws:
      `IOException`
    See Also:
      - `File.getCanonicalPath()`

  - ### getParent

    public String getParent()
    Overrides:
      `getParent` in class `File`
    See Also:
      - `File.getParent()`

  - ### getParentFile

    public File getParentFile()
    Overrides:
      `getParentFile` in class `File`
    See Also:
      - `File.getParentFile()`

  - ### getPath

    public String getPath()
    Overrides:
      `getPath` in class `File`
    See Also:
      - `File.getPath()`